### basic_io_object< IoObjectService, true >

    template<
        typename IoObjectService>
    class basic_io_object< IoObjectService, true >

##### Types

Name | Description
--- | ---
executor_type |
implementation_type |
service_type |

##### Member Functions

Name | Description
--- | ---
get_executor |
get_io_context |
get_io_service |

##### Protected Member Functions

Name | Description
--- | ---
basic_io_object |
get_implementation |
get_service |
operator= |
~basic_io_object [destructor] |

##### Requirements

Header: `asio/basic_io_object.hpp`

Convenience header: `asio.hpp`